import { useCurrentAppModule } from '../app';
import { useFeatures } from './useFeatures';
export const useCurrentAppFeatures = () => {
    const { module, error: moduleError } = useCurrentAppModule('featureFlag');
    const { features, toggleFeature, error } = useFeatures(module);
    return {
        features,
        toggleFeature,
        error: error !== null && error !== void 0 ? error : moduleError,
    };
};
//# sourceMappingURL=useCurrentAppFeatures.js.map