import { useCallback, useMemo } from 'react';
import { of } from 'rxjs';
import { map } from 'rxjs/operators';
import { useObservableState } from '@equinor/fusion-observable/react';
export const useFeatures = (provider, selector) => {
    var _a;
    const { value: features, error } = useObservableState(useMemo(() => {
        if (provider) {
            return provider === null || provider === void 0 ? void 0 : provider.features$.pipe(map((x) => {
                const values = Object.values(x);
                return selector ? values.filter(selector) : values;
            }));
        }
        return of([]);
    }, [provider, selector]), { initial: Object.values((_a = provider === null || provider === void 0 ? void 0 : provider.features) !== null && _a !== void 0 ? _a : {}) });
    const toggleFeature = useCallback((key, enable) => {
        var _a;
        if (!provider) {
            throw new Error('Missing IFeatureFlagProvider.');
        }
        const enabled = enable === undefined ? !((_a = provider.getFeature(key)) === null || _a === void 0 ? void 0 : _a.enabled) : enable;
        provider.toggleFeature({ key, enabled });
    }, [provider]);
    return { features, error, toggleFeature };
};
export default useFeatures;
//# sourceMappingURL=useFeatures.js.map